<template>
  <v-container>
    <v-layout  justify-center>
      <v-flex xs4  text-xs-center>
        <v-card id="card" >
          <parallax-container>
            <parallax-element :parallaxStrength="-20" :type="'depth'">
              <v-card-media src="src" height="200px">
                <v-avatar size="200" color="white">
                  <v-img
                    class="white--text"
                    height="200px"
                    src="https://cdn.vuetifyjs.com/images/cards/docks.jpg"
                  ></v-img>
                </v-avatar>
              </v-card-media>
            </parallax-element>
          </parallax-container>

          <v-card-title class="head">
              <h3>{{society.name}}</h3>
            <v-card-text> Creation date: {{society.creationdate |formatDate}}</v-card-text>
              <p>Reputation: {{society.reputation}}</p>

          </v-card-title>
          <v-card-actions>
            <v-btn flat color="primary">Add comment</v-btn>
            <v-btn @click="Upvote(props.item)" flat color="primary">Add Reputation</v-btn>
          </v-card-actions>
        </v-card>
      </v-flex>

      <v-flex xs10>
        <v-card>
          <v-card-title primary-title>
            <h2>{{society.name}}</h2>
          </v-card-title>
          <v-card-text>{{society.content}}</v-card-text>

        </v-card>
      </v-flex>
    </v-layout>
  </v-container>
</template>

<script>
import { SocietiesService } from "../services/societies";
import { mapState } from 'vuex';
export default {
  data() {
    return {
      society: Array
    };
  },
  mounted() {
    let societie = new SocietiesService();
    societie
      .findOne(this.$route.params.societyId)
      .then(data => (this.society = data));
  },

  computed: {
    ...mapState(["societies", "reputation"]),
  },
   methods: {
        Upvote(societie){
            this.$store.dispatch("addReputation", societie);
        }
    },
};
</script>

<style>
.head{
  display: flex;
  justify-content: center;
  align-items: center;
}
</style>
